%define debug_package %{nil}

Name: flightctl
Version: v0.2.0
Release: 5.20240910213747253094.pr441.26.g9151360%{?dist}
Summary: Flightctl CLI

License: XXX
URL: https://github.com/flightctl/flightctl
Source0: flightctl-v0.2.0.tar.gz

BuildRequires: golang
BuildRequires: make
BuildRequires: git
BuildRequires: openssl-devel
Requires: openssl

%description
Flightctl is a command line interface for managing edge device fleets.


%package agent
Summary: Flightctl Agent
%description agent
Flightctl Agent is a component of the flightctl tool.

%prep
%setup -q -n flightctl-v0.2.0

%build

# if this is a buggy version of go we need to set GOPROXY as workaround
# see https://github.com/golang/go/issues/61928
GOENVFILE=$(go env GOROOT)/go.env
if [[ ! -f "{$GOENVFILE}" ]]; then
    export GOPROXY='https://proxy.golang.org,direct'
fi
make build

%install
mkdir -p %{buildroot}/usr/bin
cp bin/flightctl %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/lib/systemd/system
mkdir -p %{buildroot}/%{_sharedstatedir}/flightctl
mkdir -p %{buildroot}/usr/lib/greenboot/check/required.d
install -m 0755 packaging/greenboot/flightctl-agent-running-check.sh %{buildroot}/usr/lib/greenboot/check/required.d/20_check_flightctl_agent.sh
cp bin/flightctl-agent %{buildroot}/usr/bin
cp packaging/must-gather/flightctl-must-gather %{buildroot}/usr/bin
cp packaging/systemd/flightctl-agent.service %{buildroot}/usr/lib/systemd/system

%files
/usr/bin/flightctl

%files agent
/usr/bin/flightctl-agent
/usr/bin/flightctl-must-gather
/usr/lib/systemd/system/flightctl-agent.service
%{_sharedstatedir}/flightctl
/usr/lib/greenboot/check/required.d/20_check_flightctl_agent.sh

%changelog
* Tue Sep 10 2024 Packit <hello@packit.dev> - v0.2.0-5.20240910213747253094.pr441.26.g9151360
- EDM-299: add support for image repository (Sam Batschelet)
- EDM-299: add device applications api (Sam Batschelet)
- NO-ISSUE: ensure cli builds on new tag (#521) (Sam Batschelet)
- EDM-298: Add user guide for deploying Flightctl on ACM (#510) (Rastislav Wagner)
- EDM-428: Remove interval and TPM fields from enrollmentconfig API (#522) (Rastislav Wagner)
- NO-ISSUE: agent: remove samber/lo as dep (Sam Batschelet)
- EDM-373: Adjust test names (Dakota Crowder)
- EDM-373: Add test coverage for additional methods, add bootc status err (Dakota Crowder)
- EDM-373: Move defined error types down into private write/read calls and have public interface wrap them (Dakota Crowder)
- EDM-373: Have writeRenderedToFile raise write specific err (Dakota Crowder)
- EDM-373: Add additional error types for reading (Dakota Crowder)
- NO-ISSUE:  Add support for builtin hooks (Ori Amizur)
- EDM-373: Add ErrCheckingFileExists (Dakota Crowder)
- EDM-373: Create an ErrWritingSpec shared error type (Dakota Crowder)
- EDM-373: Use shared error type and ErrorIs in existing specs (Dakota Crowder)
- EDM-373: Spec manager test coverage (#520) (DakCrowder)
- EDM-373: Remove fmt dep from test file (Dakota Crowder)
- EDM-373: Add spec manager unit tests for NewManager, Initialize, Ensure (Dakota Crowder)
- NO-ISSUE: Update version in docs (Celia Amador)

* Wed Aug 21 2024 Sam Batschelet <sbatsche@redhat.com> - 0.0.1-5
- Add must-gather script to provide a simple mechanism to collect agent debug
* Wed Aug 7 2024 Sam Batschelet <sbatsche@redhat.com> - 0.0.1-4
- Add basic greenboot support for failed flightctl-agent service 
* Wed Mar 13 2024 Ricardo Noriega <rnoriega@redhat.com> - 0.0.1-3
- New specfile for both CLI and agent packages
